summaryrefslogtreecommitdiff
path: root/net-misc
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/x2goserver/x2goserver-scm.ebuild22
1 files changed, 15 insertions, 7 deletions
diff --git a/net-misc/x2goserver/x2goserver-scm.ebuild b/net-misc/x2goserver/x2goserver-scm.ebuild
index 8ab970c..7ea106a 100644
--- a/net-misc/x2goserver/x2goserver-scm.ebuild
+++ b/net-misc/x2goserver/x2goserver-scm.ebuild
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/x2goserver/x2goserver-4.0.1.18-r1.ebuild,v 1.1 2014/10/23 08:35:58 voyageur Exp $
+# $Id$
EAPI=5
inherit eutils multilib systemd toolchain-funcs user git-2
@@ -23,17 +23,24 @@ RDEPEND="dev-perl/Capture-Tiny
dev-perl/Config-Simple
dev-perl/File-BaseDir
dev-perl/File-ReadBackwards
+ dev-perl/File-Which
media-fonts/font-cursor-misc
- media-fonts/font-misc-misc
+ media-fonts/font-misc-misc[nls]
>=net-misc/nx-3.5.0.25
net-misc/openssh
+ >=sys-apps/iproute2-4.3.0
x11-apps/xauth
x11-apps/xhost
x11-apps/xwininfo
- fuse? ( sys-fs/sshfs-fuse )
+ fuse? ( sys-fs/sshfs )
postgres? ( dev-perl/DBD-Pg )
sqlite? ( dev-perl/DBD-SQLite )"
+PATCHES=(
+ "${FILESDIR}"/${P}-use_bash_in_Xsession.patch
+ "${FILESDIR}"/${P}-remove_sshfs_cipher.patch
+ )
+
pkg_setup() {
# Force the group creation, #479650
enewgroup x2gouser
@@ -43,15 +50,16 @@ pkg_setup() {
}
src_prepare() {
- # Bug #524350
-# epatch "${FILESDIR}"/${P}-prevent_bash_failures_xsession.patch
-
+ # Do not install Xresources symlink (#521126)
+ sed -e '\#$(INSTALL_SYMLINK) /etc/X11/Xresources# s/^/#/' -i x2goserver-xsession/Makefile || die "Xresources symlink sed failed"
# Multilib clean
sed -e "/^LIBDIR=/s/lib/$(get_libdir)/" -i Makefile */Makefile || die "multilib sed failed"
# Skip man2html build
sed -e "s/build-indep: build_man2html/build-indep:/" -i Makefile */Makefile || die "man2html sed failed"
# Use nxagent directly
sed -i -e "/NX_TEMP=/s/x2goagent/nxagent/" x2goserver/bin/x2gostartagent || die "sed failed"
+
+ default
}
src_compile() {